// file: $isip/class/algo/Connection/conn_01.cc
// version: $Id: conn_01.cc 8258 2002-07-01 19:29:29Z gao $
//

// isip include files
//
#include "Connection.h"

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: logical error status
//
// this is the debug method
//
boolean Connection::debug(const unichar* msg_a) const {

  // declare local variables
  //
  String value;
  String output;

  // display the algorithm name 
  //
  output.debugStr(name(), msg_a, L"algorithm_d",
                  Connection::ALGO_MAP.getName((long)algorithm_d));
  Console::put(output);

  // display the implementation name 
  //
  output.debugStr(name(), msg_a, L"implementation_d",
                  Connection::IMPL_MAP.getName((long)implementation_d));
  Console::put(output);

  // display the channel
  //
  value.assign(channel_d);
  output.debugStr(name(), msg_a, L"channel_d", value);
  Console::put(output);

  // debug level
  //
  output.debugStr(name(), msg_a, L"debug_level_d",
		  debug_level_d.getName());
  Console::put(output);

  // exit gracefully
  //
  return true;
}
